#ifndef  _Lambda_expression_
#define  _Lambda_expression_

#include <string>
#include <unordered_map>

class Illustration_of_mutable {
	int _a;
	mutable int _b;
	void object_state_is_not_changed() const;
};

class Election {
	std::string _separator;
	std::unordered_multimap<std::string, std::string> _situation;
public:
	Election(const std::string&, const std::initializer_list<std::unordered_multimap<std::string, std::string>::value_type>&);
	static const std::string Candidate;
	static const std::string Challenger;
	static const std::string President;
	static const std::string Prime_minister;
	std::string candidates() const;
	void change_separator(const std::string&);
	int count(const std::string & = Candidate) const;
};

#endif
